# Return identity provider configuration fields

This function retrieves the configuration fields for a external authentication identity provider.

Endpoint: GET /get_provider_configuration_fields
Version: 11.137.9999.106
Security: BasicAuth

## Query parameters:

  - `provider_id` (string, required)
    The identity provider's key.
    Example: "cpanelid"

  - `service_name` (string, required)
    The cPanel & WHM service's name.

* cpaneld
* whostmgrd
* webmaild
    Enum: "cpaneld", "whostmgrd", "webmaild"

## Response 200 fields (application/json):

  - `data` (object)

  - `data.configuration_fields` (array)
    An array of objects containing the configuration information for each field.
    Example: [{"description":"The Secret of the Client","display_order":1,"field_id":"client_secret","label":"Client Secret","value":null},{"description":"The ID of the Client.","display_order":0,"field_id":"client_id","label":"Client ID","value":null}]

  - `data.configuration_fields.description` (string)
    The description of the configuration field.

  - `data.configuration_fields.display_order` (integer)
    The display order of the configuration field.

  - `data.configuration_fields.field_id` (string)
    The name of the configuration field.

  - `data.configuration_fields.label` (string)
    The label of the configuration field.

  - `data.configuration_fields.value` (string,null)
    The value of the configuration field, if available.

  - `metadata` (object)

  - `metadata.command` (string)
    The method name called.
    Example: "get_provider_configuration_fields"

  - `metadata.reason` (string)
    The reason the API function failed when the metadata.result field is 0. This field may display a success message when a function succeeds.
    Example: "OK"

  - `metadata.result` (integer)
    * 1 — Success.
* 0 — Failed. Check the reason field for more details.
    Enum: 1, 0

  - `metadata.version` (integer)
    The version of the API function.
    Example: 1


